import { BaseItem } from './base-item';
export declare class SliderItem extends BaseItem {
    private min;
    private max;
    private step;
    private defaultValue;
    private slider;
    private label;
    private currentValue;
    constructor(id: string, title: string, min: number, max: number, step: number, defaultValue?: number);
    getDOMNode(): HTMLElement;
    getContents(): string;
    private onChange;
    focus(): void;
}
